using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 调洪演算报告
    /// </summary>
    [Description("调洪演算报告")]
    public class T_TL_CACULATE_FILE : MesEntityBase
    {
        /// <summary>
        /// 调洪演算报告
        /// </summary>
        [Description("调洪演算报告")]
        [DataFieldForeignKey("Nav_Caculate", "Nav_Files")]
        public Guid CACULATE_ID { get; set; }

        /// <summary>
        /// 调洪演算报告
        /// </summary>
        [Description("调洪演算报告")]
        public virtual T_TL_CACULATE Nav_Caculate { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
